Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-4225014

JDK 1.2-Swing 1.1 impl. not compatible with JDK 1.1-Swing 1.1 impl.

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P4
    • Resolution: Not an Issue
    • Affects Version/s: 1.2.0
    • Fix Version/s: None
    • Component/s: client-libs
    • Labels:

      Description



      Name: dbT83986 Date: 03/29/99


      javax.swing.UIDefaults in Swing 1.1
       for JDK 1.1 allows a custom LookAndFeel
       to put a "ClassLoader"-default in
      the defaults-table, so that its
       classes can be loaded if there's
       a SecurityManager, in JDK 1.2
       this feature has NOT been built in
      yet!!! This has the effect that
       custom LookAndFeels cannot be loaded
       as extensions or via plug-in, but
       must be specified via bootclasspath.
      (Review ID: 56192)
      ======================================================================

        Attachments

          Activity

            People

            Assignee:
            sswingtrsunw Swingtraq Swingtraq (Inactive)
            Reporter:
            dblairsunw Dave Blair (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Imported:
              Indexed: